
D4Science Infrastructure - Task #5128

Please deploy smart-executor 1.4 on devNext

Sep 23, 2016 04:50 PM - Luca Frosini

Status: Closed Start date: Sep 23, 2016

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

Related issues:

Blocked by D4Science Infrastructure - Task #5147: smart-generic-worker:  jar-... Closed Sep 26, 2016

History

#1 - Sep 26, 2016 02:36 PM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Sep 26, 2016 03:24 PM - Roberto Cirillo

- Blocked by Task #5147: smart-generic-worker:  jar-with-dependencies.jar is missing in gCube Snapshots Repository added

#3 - Sep 26, 2016 06:26 PM - Roberto Cirillo

- % Done changed from 0 to 90

The following nodes have been upgraded to Smartgears 2.0.0-SNAPSHOT and  smart-executor-service 1.4.0-SNAPSHOT:

node3-d-d4s.d4science.org

node4-d-d4s.d4science.org

node17.d4science.org

node19.d4science.org

 I don't see any error or exception on container's log but I don't see the Smart-executor gCoreEndpoint and the related Service Endpoint published on

IS-Collector.

From monitor I see only the HostingNode correctly published.

Please, @lucio.lelii@isti.cnr.it could you take a look to the nodes above? 

#4 - Sep 27, 2016 09:42 AM - Lucio Lelii

The problem is that the smart-executor installed is not compatible with smartgears-2.0.0, it brings old versions of some jars (e.g.

common-smartgears-app-1.0.0 instead of common-smartgears-app-2.0.0).

@luca.frosini@isti.cnr.it can you take a look to the smart-executor deployed in the snapshot repository?

#5 - Sep 27, 2016 10:46 AM - Roberto Cirillo

- % Done changed from 90 to 70

There was a very old smart-executor on nexus (26 May). Now, I've successfully installed the new smart-executor on node3-d-d4s.d4science.org. I'm

going to upgrade the others nodes.

#6 - Sep 30, 2016 10:34 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
